QGIS Application - Bug report #6993
Saving MS SQL Layer to shapefile fails with dates/datetime
2013-01-14 02:43 PM - Nathan Woodrow

Status: Closed

Priority: Normal

Assignee: Tamas Szekeres

Category: Data Provider/MSSQL

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 16097
Description

If you try and save a MS SQL layer with date or datetime column types you get an error while saving

Export to vector file failed.
Error: Feature write errors:
Invalid variant type for field Datelnstalled[8]: received QDateTime with type 1945-01-01T00:00:00
Invalid variant type for field Datelnstalled[8]: received QDateTime with type 1945-01-01T00:00:00

Saving a PostGIS/Spatialite layer with dates or datetime doesn't have this issue.

History

#1 - 2013-02-28 12:26 AM - Tamas Szekeres

Could you check whether the recent fix for #7249 could also solve this problem? I've tried with date type and it appears to be ok.

#2 - 2014-06-01 08:15 PM - Nathan Woodrow
- Resolution set to fixed/implemented

#3 - 2016-01-26 04:37 PM - Nyall Dawson
- Status changed from Open to Closed
